<?
//header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=busqueda_prestamos.xls");

/*****************************************/
$o_ObjectBean = new PrestamoBean();
 
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  
//$o_ObjectBean->setIdMercado($cboMercado); 

//FILTRO MERCADO------------------------------------------------------------------------
//Obtener Sucursal------------------------------------
//Id del Administrador--------------------------------

if(myUser::getUser()->getIdPadre() == '1' || myUser::getUser()->getRoleId() == "sys.ope" || myUser::getUser()->getRoleId() == "sys.sup"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult 	= $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	//echo $o_ColaboradorBeanResult[0]->getIdPadre();
  	$idAdministrador 			= $o_ColaboradorBeanResult[0]->getIdPadre();
  	
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

 if($idAdministrador){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	$o_SucursalMercadoBean = new SucursalMercadoBean();
	$o_SucursalMercadoBean->setIdSucursal($a_o_sucursal[0]->getIdSucursal());
	$o_SucursalMercadoBL = new SucursalMercadoBL();
	$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
	if(is_array($a_o_sucursalmercado)){
		foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
			$a_IdMercados[] = $o_sucursalmercado->getIdMercado();
		}
	}
	
	$o_ObjectBean->setFiltroMercado($a_IdMercados);
	 
	//FILTRO IDCOLABORADOR--------------------------------------------------------------------
	//Obtener todos los Id de colaborador de ese IdAdministrador
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($idAdministrador);
	$o_ColaboradorBL = new ColaboradorBL();	
	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
	$o_ObjectBean->setFiltroSucursal($a_Colaborador);	
		
	//Sacar el nombre de la sucursal
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	
	foreach ($a_o_sucursal as $key => $o_sucursal){
		$IdSucursal 	= $o_sucursal->getIdSucursal();
		$NombreSucursal = $o_sucursal->getDescripcion();
	}
	
 }
 
//----------------------------------------------------------------------------------

if($cboMercado     	!= ""){
	 $o_ObjectBean->setIdMercado($cboMercado);	 
}

if($txtNuemroPrestamo   !=""){ $o_ObjectBean->setIdPrestamo($txtNuemroPrestamo); }
if($cboEstadoPrestamo   !=""){ $o_ObjectBean->setEstado($cboEstadoPrestamo); }
if($txtNombre     		!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno(utf8_decode($txtNombre)); }
if($vencido     									  ){ $o_ObjectBean->setVencido($vencido); }
if($moroso     ){ $o_ObjectBean->setMoroso($moroso); }
if($txtNombre     		!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno(utf8_decode($txtNombre)); }
if($txtNombre     		!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres(utf8_decode($txtNombre)); }
if($txtNombre     		!="" && $cboTipoNombre == "NC"){ $o_ObjectBean->setNombreCompleto(utf8_decode($txtNombre)); } 
if($cboOrigen  			!=""){ $o_ObjectBean->setOrigen($cboOrigen); }
if($txtFechaInicial   !=""){ $o_ObjectBean->setFechaInicio($txtFechaInicial); }
if($txtFechaFinal   !=""){ $o_ObjectBean->setFechaFinal($txtFechaFinal); }

if($txtFechaInicialven   !=""){ $o_ObjectBean->setFechaVencimiento($txtFechaInicialven); }
if($txtFechaFinalven   !=""){ $o_ObjectBean->setFechaFinalven($txtFechaFinalven); }

/*if($txtNuemroPrestamo   !=""){ $o_ObjectBean->setIdPrestamo($txtNuemroPrestamo); }
if($cboEstadoPrestamo   !=""){ $o_ObjectBean->setEstado($cboEstadoPrestamo); }
if($txtNombre     		!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($txtNombre); }
if($txtNombre     		!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($txtNombre); }
if($txtNombre     		!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($txtNombre); }
if($cboOrigen  			!=""){ $o_ObjectBean->setOrigen($cboOrigen); }
if($txtFechaInicial   !=""){ $o_ObjectBean->setFechaInicio($txtFechaInicial); }
if($txtFechaFinal   !=""){ $o_ObjectBean->setFechaFinal($txtFechaFinal); }*/
 
$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);  

/*****************************************/

ViewResponse::getInstance()->setMethodAjax();

?>

      <table >
        <tr>
          <td>
            <table border="1">
              <tr>
                <th>Nª Prest.&nbsp;</th>
                <th>Cliente&nbsp;</th>
                <th>F.Inicio&nbsp;</th>
                <th>F.Vencim.&nbsp;</th>
                <th>Capital&nbsp;</th>
                <th>Interes&nbsp;</th>
                <th>M.Total&nbsp;</th>
                <th>Saldo&nbsp;</th>
                <th>Estado&nbsp;</th> 
                <th>Tipo Prest.&nbsp;</th>
                <th>Usr.Act.&nbsp;</th>
                <th>Fec.Act.&nbsp;</th>
                  
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr>
                <!--<td><?=($i+1)?></td>-->
                <td><?=$o_objBean->getIdPrestamo() ?>&nbsp;</td>
                 <td><?=strtoupper($o_objBean->getObjectCliente()->getNombreCompleto())?>&nbsp;</td>
                <td><?=$o_objBean->getFechaInicio()?>&nbsp;</td>
                <td><?=$o_objBean->getFechaVencimiento()?>&nbsp;</td>
                <td><?=number_format($o_objBean->getMontoPrestado(),2); $total += $o_objBean->getMontoPrestado();?>&nbsp;</td>
                <td><?=$o_objBean->getInteresPorcentaje()?>&nbsp;</td>
                <td><?=number_format($o_objBean->getMontoTotal(),2)?>&nbsp;</td>
                <td><?=number_format($o_objBean->getSaldoPrestamo(),2)?>&nbsp;</td>
                <td><?=$o_objBean->getEstado()?>&nbsp;</td>
                <td><?=$o_objBean->getOrigen()?>&nbsp;</td>
                <td><?=strtoupper($o_objBean->getUsuarioModificacion())?>&nbsp;</td>
                <td><?=$o_objBean->getFechaModificacion(date("Y-m-d"))?>&nbsp;</td>
             </tr>
              <? $i++;} ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
              <tr>
               <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td><b>Totales</b></td>
                <td><b><?=number_format($total,2)?></b></td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td> 
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
              </tr>
            </table>
          </td>
        </tr>
      </table>